Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Module mainframe :: Class MenuController |
[frames] | no frames]

# Class MenuController

source code

    object --+
             |
            MenuController

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
on_timeline_change(self, timeline) | source code
add_menu_requiring_writable_timeline(self, menu) | source code
add_menu_requiring_timeline(self, menu) | source code
add_menu_requiring_visible_timeline_view(self, menu) | source code
enable_disable_menus(self, timeline_view_visible) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)